cURL
curl -X POST "https://api.joinformal.com/core.v1.UserService/UpdateUser" \ -H "X-API-KEY: YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "example": "value" }'
{ "user": { "id": "<string>", "dbUsername": "<string>", "type": "machine", "terminationProtection": true, "expireAt": "2023-11-07T05:31:56Z", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "groupIds": [ "<string>" ], "human": { "firstName": "<string>", "lastName": "<string>", "email": "jsmith@example.com" }, "machine": { "name": "<string>" } } }
API key authentication. Get your API key from the Formal console.
1
For machine users: update the machine user name.
For human users: update the first name.
For human users: update the last name.
Success
Exactly one of these fields is required: human or machine.
Show child attributes
Was this page helpful?
Suggestions